Project details

The project the API key belongs to.

GET/project

System information

API key
Required
Rate limit
∞
curl "https://api.atomic.wallet/api/v1/project" \
  -H "x-api-key: $API_KEY"
{
  "uuid": "73e68013-32f0-4248-95ac-46aed61e59b0",
  "name": "My shop",
  "status": "active",
  "feePayer": "buyer",
  "invoiceLifetimeMinutes": 60,
  "acceptedCurrencies": [
    {
      "coinCode": "USDT",
      "networks": [
        {
          "networkCode": "ethereum"
        },
        {
          "networkCode": "tron"
        }
      ]
    }
  ],
  "createdAt": "2026-09-01T10:00:00.000Z",
  "updatedAt": "2026-10-01T10:00:00.000Z"
}

Response fields

ParameterTypeDescription
uuidstringProject UUID.
namestringProject name.
statusstringProject status.
feePayerstringWho pays the fee: buyer or merchant.
invoiceLifetimeMinutesintegerInvoice lifetime in minutes.
acceptedCurrenciesarrayCoins and networks accepted by the project.
acceptedCurrencies[].coinCodestringCryptocurrency code.
acceptedCurrencies[].networksarrayCoin networks.
acceptedCurrencies[].networks[].networkCodestringBlockchain network code.
createdAtstringCreation date (ISO 8601).
updatedAtstringLast update date (ISO 8601).